> ## Documentation Index
> Fetch the complete documentation index at: https://docs.winedirectfulfillment.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Gets a detailed of a specific inventory-out in the WineDirect fulfillment system



## OpenAPI

````yaml /openapi.json get /api/v1/Transfers/OUTs/{referenceNumber}
openapi: 3.0.4
info:
  title: WineDirect Fulfillment API Gateway UAT
  description: >-
    <i>Provides access to the Fulfillment system.</i><h2><a target="_blank"
    href='https://portal.wd-fs.com/administration/api-help'>Detailed
    Documentation</a></h2><h3>From your code:</h3><p> To use any of the
    endpoints, get the <b>Bearer Token</b> from the <b>AccessToken</b> endpoint,
    then pass that as a <b>HttpHeader</b> called <b>Authorization</b> like this
    on all calls.<br><pre>(C#)   request.AddParameter("Authorization", token, 
    ParameterType.HttpHeader);</pre><h3>From a browser:</h3><p>Press the
    <b>Authorize</b> button and enter the <b>Bearer Token</b> from the
    <b>AccessToken</b> endpoint.</p>
  version: '1.0'
servers: []
security:
  - Bearer: []
paths:
  /api/v1/Transfers/OUTs/{referenceNumber}:
    get:
      tags:
        - Transfers
      summary: >-
        Gets a detailed of a specific inventory-out in the WineDirect
        fulfillment system
      parameters:
        - name: referenceNumber
          in: path
          description: The reference number used to create the OUT
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InventoryOutDetailServiceResult'
components:
  schemas:
    InventoryOutDetailServiceResult:
      type: object
      properties:
        isSuccess:
          type: boolean
          description: >-
            Was the request successful. If not, the message will have more
            information.
        message:
          type: string
          description: Any error message
          nullable: true
        payload:
          $ref: '#/components/schemas/InventoryOutDetail'
      additionalProperties: false
      description: Generic container for all service responses
    InventoryOutDetail:
      type: object
      properties:
        header:
          $ref: '#/components/schemas/InventoryOutDetailHeader'
        lineItems:
          type: array
          items:
            $ref: '#/components/schemas/InventoryOutDetailLineItem'
          description: The SKU line items for this OUT
          nullable: true
        messages:
          type: array
          items:
            $ref: '#/components/schemas/InventoryOutDetailMessage'
          description: Any messages about the OUT
          nullable: true
        isEditable:
          type: boolean
          description: Is the OUT editable
      additionalProperties: false
      description: Complete Detail about the OUT
    InventoryOutDetailHeader:
      required:
        - accountNumber
        - supplierId
      type: object
      properties:
        accountNumber:
          minLength: 2
          type: string
          description: AccountNumber is the unique Customer ID in the WineDirect system.
        supplierId:
          minLength: 2
          type: string
          description: SupplierId is the unique ID for the owner of items in the system
        supplierName:
          type: string
          description: The name of the saupplier
          nullable: true
        warehouseCode:
          type: string
          description: "The warehouse (Code)  \r\n            \r\n    \"GLW\" - Glenwillow,\r\n    \"WDI\" - Green Island,\r\n    \"PSO\" - Paso Robles,\r\n    \"SMA\" - Santa Maria,\r\n    \"SHW\" - Willamette Valley\r\n    \"DAL\" - Dallas"
          nullable: true
        warehouseName:
          type: string
          description: The name of the warehouse
          nullable: true
        orderNumber:
          type: string
          description: The OUT's order number
          nullable: true
        referenceNumber:
          type: string
          description: The reference number assigned by the supplier when creating the OUT
          nullable: true
        orderedDate:
          type: string
          description: Date ordered
          format: date-time
          nullable: true
        requestedPriority:
          type: string
          description: The requested priority
          nullable: true
        requestDate:
          type: string
          description: The requested date
          format: date-time
          nullable: true
        statusCode:
          type: string
          description: The status (code)
          nullable: true
        status:
          type: string
          description: The Status (Name)
          nullable: true
        deliveryMethodCode:
          type: string
          description: "The way this items is delivered (Code)\r\n\r\n     WD_PICKUP  \r\n     CLIENT_DROPOFF"
          nullable: true
        deliveryMethod:
          type: string
          description: The delivery method (Name)
          nullable: true
      additionalProperties: false
      description: The header detail about the OUT
    InventoryOutDetailLineItem:
      type: object
      properties:
        lineNumber:
          type: string
          description: The Line Number
          nullable: true
        sku:
          type: string
          description: The SKU of the customer
          nullable: true
        skuDescription:
          type: string
          description: Description of the sku
          nullable: true
        subInventoryCode:
          type: string
          description: The Sub Inventory this inventory is in (Code)
          nullable: true
        subInventoryName:
          type: string
          description: The Sub Inventory this inventory is in (Name)
          nullable: true
        quantityOrdered:
          type: integer
          description: Quantity Ordered
          format: int32
        quantityReserved:
          type: integer
          description: Quantity Reserved
          format: int32
        quantityShipped:
          type: integer
          description: Quantity Shipped
          format: int32
      additionalProperties: false
    InventoryOutDetailMessage:
      type: object
      properties:
        messageType:
          type: string
          description: Message Type
          nullable: true
        messageTime:
          type: string
          description: Message Time
          format: date-time
        message:
          type: string
          description: Message
          nullable: true
      additionalProperties: false
      description: Messages
  securitySchemes:
    Bearer:
      type: apiKey
      description: 'Enter the Bearer AccessToken;  Example: ''Bearer 12345abcdef'''
      name: Authorization
      in: header

````